> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aicmelabs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Download a task version's package



## OpenAPI

````yaml /openapi.json get /v1/tasks/{task_id}/versions/{version}/package
openapi: 3.1.0
info:
  title: AICME API
  version: v1
servers:
  - url: https://api.aicmelabs.com
security: []
paths:
  /v1/tasks/{task_id}/versions/{version}/package:
    get:
      summary: Download a task version's package
      operationId: download_package_v1_tasks__task_id__versions__version__package_get
      parameters:
        - in: path
          name: task_id
          required: true
          schema:
            title: Task Id
            type: string
        - in: path
          name: version
          required: true
          schema:
            title: Version
            type: string
      responses:
        '200':
          content:
            application/x-tar: {}
          description: 'The package: a plain PAX tar.'
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Not Found
        '410':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Gone
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Internal Server Error
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Service Unavailable
components:
  schemas:
    Error:
      description: >-
        What every error response is: `{"error": {...}}`. Routes declare it for
        their errors.
      properties:
        error:
          $ref: '#/components/schemas/ErrorObject'
      required:
        - error
      title: Error
      type: object
    ErrorObject:
      properties:
        code:
          $ref: '#/components/schemas/Code'
          x-open-enum: true
        doc_url:
          title: Doc Url
          type: string
        errors:
          items:
            $ref: '#/components/schemas/ParamError'
          title: Errors
          type: array
        message:
          title: Message
          type: string
        param:
          anyOf:
            - type: string
            - type: 'null'
          title: Param
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
        type:
          $ref: '#/components/schemas/ErrorType'
          x-open-enum: false
      required:
        - type
        - code
        - message
        - param
        - errors
        - doc_url
        - request_id
      title: ErrorObject
      type: object
    Code:
      enum:
        - invalid_request
        - unauthenticated
        - forbidden
        - not_found
        - episode_not_active
        - already_exists
        - idempotency_in_progress
        - regrade_pending
        - regrade_failed
        - version_retired
        - cursor_expired
        - request_too_large
        - idempotency_conflict
        - rate_limited
        - internal
        - capacity
        - service_unavailable
      type: string
    ParamError:
      properties:
        message:
          title: Message
          type: string
        param:
          anyOf:
            - type: string
            - type: 'null'
          title: Param
      required:
        - param
        - message
      title: ParamError
      type: object
    ErrorType:
      enum:
        - invalid_request_error
        - idempotency_error
        - api_error
      type: string

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.